import 'package:flutter/cupertino.dart';

import '../google-analytics.dart';

class AdvancePayments{

  final GALogger logger;
  AdvancePayments(this.logger);

  // R038
  payment_services({@required String service_type}){
    logger('payment_services', parameters: {
      'service_type' : service_type
    });
  }

  // R039
  wallet_recharge({@required String service_type}){
    logger('wallet_recharge', parameters: {
      'service_type' : service_type
    });
  }

  // R040
  wallet_payment_details(){
    logger('wallet_payment_details');
  }

  // R041
  payment_method({@required String method,type}){
    logger('payment_method', parameters: {
      'payment_method' : method,
      'payment_type' : type
    });
  }

  // R042
  payment_confirm({@required String method,type}){
    logger('payment_confirm', parameters: {
      'payment_method' : method,
      'payment_type' : type
    });
  }

  // R043
  payment_otp_confirmation({@required String method,type}){
    logger('payment_otp_confirmation', parameters: {
      'payment_method' : method,
      'payment_type' : type
    });
  }

  // R044
  payment_confirm_card_details({@required String method,type}){
    logger('payment_confirm_card_details', parameters: {
      'payment_method' : method,
      'payment_type' : type
    });
  }

  // R045
  payment_pay({@required String method,type}){
    logger('payment_pay', parameters: {
      'payment_method' : method,
      'payment_type' : type
    });
  }

  // R046
  payment_success({@required String appointment_type, clinic, hospital, payment_method, payment_type, txn_number, txn_amount, txn_currency}){
    logger('payment_success', parameters: {
      'appointment_type' : appointment_type,
      'clinic_type_online' : clinic,
      'payment_method' : payment_method,
      'payment_type' : payment_type,
      'hospital_name' : hospital,
      'transaction_number' : txn_number,
      'transaction_amount' : txn_amount,
      'transaction_currency' : txn_currency
    });
  }
}